/* VARIABLES */
:root {
    --mx-width: 1320px;
    --color-text-body: #525260;
    --color-primary: #5956e9;
    --color-secondary: #fff;
    --color-banner: #2522BA;
    --color-text-btn: #0d6efd;
    --color-bg-btn: #ffdc60;
    --color-subtitle: #c75c6f;
    --color-title: #292930;
    --color-bg-services: #f8f8f8;
    --color-bg-projects: #ECF2F6;
    --color-bg-dark: #27272E;
    --color-text-description: #99a1aa;
    --color-hover-dark: #303025;
    --color-borders: #e3efe9;
}

/* ESTILOS GENERALES */
html {
    font-size: 62.5%;
    overflow-x: hidden;
}

body {
    width: 100%;
    height: 100%;
    font-size: 1.6rem;
    font-family: 'DM Sans', sans-serif;
    font-weight: 400;
    line-height: 1.5;
    color: var(--color-text-body);
}

body::-webkit-scrollbar {
    width: 25px;
    background: transparent;
    
}

body::-webkit-scrollbar-thumb {
    border: 10px solid transparent;
    box-shadow: inset 0 0 0 10px var(--color-primary);
    border-radius: 40px;
}



body:hover::-webkit-scrollbar-thumb:hover {
    border: 8px solid transparent;
    box-shadow: inset 0 0 0 10px var(--color-banner);
    
}

body::-webkit-scrollbar-track {
    margin: 40px 0;
}

/* ESTRUCTURA */

.layout {
    width: 100%;
    min-width: 1200px;
    height: 100%;
}

/* ESTILOS MENU NAVEGACIÓN Y CABEZERA DE LA WEB */
.layout__menu {
    width: 100%;
    padding: 3.5rem 3rem;
}

.menu__navbar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.menu__navbar--fixed {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 9;
    background-color: var(--color-secondary);
    backdrop-filter: blur(12px);
    filter: opacity(80%);
    box-shadow: 0px 2px 10px rgba(0, 0, 0, 0.5);
    padding: 1.5rem 8rem;
}

.navbar__logo {
    width: 187px;
}

.nav__list {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.nav__item {
    position: relative;
    margin: 0 2.4rem;
}

.nav__title {
    position: relative;
    display: inline-block;
    font-weight: 500;
    color: var(--color-text-body);
    line-height: 6rem;
    transition: all 300ms ease-in-out;
}

.nav__icon {
    font-size: 1rem;
    font-weight: bold;
    padding-left: 0.2rem;
    vertical-align: middle;
}

.nav__title:hover {
    color: var(--color-primary);
}

.nav__title::before {
    content: '';
    height: 0.2rem;
    width: 0;
    background-color: var(--color-primary);
    position: absolute;
    bottom: 1.2rem;
    left: 0;
    opacity: 0;
    transition: 500ms ;
}

.nav__title:hover::before {
    opacity: 1;
    width: 100%;
}

.nav__submenu {
    display: block;
    position: absolute;
    top: 100%;
    left: 2rem;
    min-width: 19rem;
    padding: 1.5rem 1rem;
    border-radius: 4px;
    background-color: var(--color-secondary);
    box-shadow: 0 13px 48px 0 rgba(0, 0, 0, 15%);
    opacity: 0;
    visibility: hidden;
    transition:  300ms ease-in-out;
}

.submenu__item {
    opacity: 0;
    transform: translateX(2rem);
    transition: all 300ms ease-in-out;
}

.submenu__item:nth-child(1) {
    transition-delay: 100ms;
}

.submenu__item:nth-child(2) {
    transition-delay: 200ms;
}

.submenu__item:nth-child(3) {
    transition-delay: 300ms;
}

.submenu__item:nth-child(4) {
    transition-delay: 400ms;
}

.submenu__item:nth-child(5) {
    transition-delay: 500ms;
}

.submenu__item:nth-child(6) {
    transition-delay: 600ms;
}

.submenu__title {
    display: block;
    position: relative;
    font-size: 1.5rem;
    text-transform: capitalize;
    text-decoration: none;
    font-weight: 500;
    color: var(--color-text-body);
    padding: 0.7rem 1.5rem;
    transition: all 300ms ease-in-out;
}

.nav__item:hover>.nav__submenu {
    opacity: 1;
    visibility: visible;
    z-index: 999;
    left: 0;
}

.nav__item:hover .submenu__item {
    opacity: 1;
    transform: translateX(0);
}

.submenu__title:hover {
    color: var(--color-primary);
}

.submenu__title::after {
    content: '';
    height: 0.1rem;
    width: 0;
    position: absolute;
    top: 50%;
    left: 0;
    background-color: var(--color-primary);
    transition: all 300ms ease-in-out;
}

.submenu__title:hover::after {
    width: 100%;
}

/* ESTILOS PARA EL BANNER */

.layout__banner {
    position: relative;
    min-height: 60rem;
    margin: 0 3rem;
    padding-right: 0;
    padding-left: 10rem;
    padding-top: 15rem;
    padding-bottom: 20rem;
    border-radius: 60px;
    overflow: hidden;
    background-color: var(--color-banner);
    z-index: 1;
}

.banner__content {
    position: relative;
    display: inline-block;
    width: 50%;
    padding: 0 1.5rem;
    z-index: 3;
}

.banner__title {
    color: var(--color-secondary);
    font-size: 8rem;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 3rem;
}

.banner__btn {
    display: inline-block;
    padding: 2.8rem 4.5rem;
    border-radius: 20px;
    background-color: var(--color-secondary);
    color: var(--color-text-btn);
    font-size: 1.7rem;
    font-weight: bold;
    text-transform: capitalize;
    text-align: center;
    box-shadow: 0 45px 80px -25px var(--color-primary);
    transition: all 300ms ease-in-out;
}

.banner__btn:hover {
    background-color: var(--color-bg-btn);
    color: var(--color-text-body);
}

.shapes__item {
    position: absolute;
    z-index: 2;
    pointer-events: none;
}

.shapes__item--shape1 {
    top: 0;
    right: 0;
    text-align: right;
    animation: showRight 1s;
}

@keyframes showRight {
    0% {
        transform: translateX(50%);
    }
    100% {
        transform: translateX(0);
    }
}

.shapes__item--shape2 {
    bottom: 0;
    left: 0;
    animation: showLeft 1s;
}

@keyframes showLeft {
    0% {
        transform: translateX(-50%);
    }
    100% {
        transform: translateX(0);
    }
}

.shapes__item--shape3 {
    top: 34%;
    left: 50%;
    animation: moveShape3 20s infinite;
}

@keyframes moveShape3 {
    0%{
        transform: translateX(0) translateY(0);
    }
    40%{
        transform: translateX(50px) translateY(-200px);
    }
    75%{
        transform: translateX(800px);
    }
    100%{
        transform: translateX(0) translateY(0);
    }
}

.shapes__item--shape4 {
    bottom: 24rem;
    left: 45%;
    animation: moveShape4 30s infinite;
}

@keyframes moveShape4 {
    0%{
        transform: translateX(0) translateY(0);
    }
    40%{
        transform: translateX(-50px) translateY(200px);
    }
    75%{
        transform: translateX(-500px);
    }
    100%{
        transform: translateX(0) translateY(0);
    }
}

.shapes__item--shape4 .shapes__img {
    opacity: 0.5;
    width: 7.5rem;
}

.shapes__item--shape5 {
    bottom: 12rem;
    left: 53%;
    opacity: 0.7;
    animation: moveShape5 45s infinite;
}

@keyframes moveShape5 {
    0%{
        transform: translateX(0) translateY(0);
    }
    40%{
        transform: translateX(-600px) translateY(-500px);
    }
    75%{
        transform: translateX(30px) translateY(-800px);
    }
    100%{
        transform: translateX(0) translateY(0);
    }
}

.shapes__item--shape6 {
    bottom: 10rem;
    left: 40%;
    animation: moveShape3 35s infinite;
}



.shapes__item--shape7 {
    top: 0;
    right: 10rem;
    z-index: 1;
    animation: showTop 1s forwards; /* Utiliza 'forwards' para mantener el estado final de la animación */
}

@keyframes showTop {
    0% {
        transform: translateY(-50%);
    }
    100% {
        transform: translateY(0);
    }
}

.shapes__item--shape7.showTopFinished {
    animation: runLateral 18s infinite ease-in-out;
}

@keyframes runLateral {
    0% {
        transform: translateX(0);
    }
    50% {
        transform: translateX(-280%);
    }        
    100% {
        transform: translateX(0);
    }
}

/* ESTILOS SECCIÓN SERVICIOS */
.layout__services {
    position: relative;
    margin: 14rem 10rem;
    margin-bottom: 7rem;
    z-index: 1;
}

.services__grid {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.services__header {
    margin-bottom: 2rem;
    text-align: left;
}

.services__subtitle,
.projects__subtitle,
.stats__subtitle,
.reviews__subtitle,
.clients__subtitle,
.news__subtitle {
    font-size: 2rem;
    font-weight: 500;
    color: var(--color-subtitle);
    margin-bottom: 1.5rem;
}

.services__title,
.projects__title,
.stats__title,
.reviews__title,
.news__title {
    font-size: 6.7rem;
    font-weight: 500;
    line-height: 1.2;
    color: var(--color-title);
}

.services__list {
    display: flex;
    flex-direction: row;
    gap: 3rem;
}

.services__service {
    width: 33%;
    height: 100%;
    padding: 5rem 4rem;
    margin-bottom: 4rem;
    border-radius: 3rem;
    background: linear-gradient(180deg, var(--color-bg-services), rgba(255,255,255, 0));
    background-color: var(--color-secondary);
    border: 1px solid ;
    border-image-source: linear-gradient(90deg, var(--color-bg-services), rgba(255,255,255, 0));
    transition: all 300ms ease-in-out;

    display: flex;
    flex-direction: row;
}

.services__service:hover {
    background-color: var(--color-bg-services);
}

.service__container-img {
    margin-right: 2.5rem;
    max-width: 8.5rem;
    flex: 1;
}

.service__content {
    flex: 1;
}

.service__title {
    color: var(--color-title);
    font-size: 2.4rem;
    font-weight: 500;
    line-height: 1.4;
    margin-bottom: 3rem;
}

.service__description {
    font-size: 1.7rem;
    overflow: hidden;
    margin-bottom: 4rem;
}

.service__more {
    font-size: 1.7rem;
    position: relative;
    display: inline-block;
    font-weight: 500;
    padding-left: 5rem;
    transition: all 300ms ease-in-out;
}

.service__more::before {
    content: '';
    width: 3.4rem;
    height: 1.5px;
    background-color: var(--color-text-body);
    position: absolute;
    top: 50%;
    left: 0;
    transition: all 300ms ease-in-out;
}

.service__more:hover,
.service__title:hover {
    color: var(--color-primary);
}

 .service__more:hover::before {
    background-color: var(--color-primary);
 }

/* ESCALONADO DE LAS TARJETAS DE SERVICIOS */
.services__service--bottom {
    margin-top: 20rem;
}

.services__service--middle {
    margin-top: 10rem;
}

.services__service--top {
    margin-top: 0rem;
}

/* FORMAS DETRÁS DE LOS SERVICIOS */
.service-shapes__item {
    position: absolute;
    z-index: -1;
    pointer-events: none;
}

.service-shapes--shape1 {
    top: -7%;
    left: 31%;
}

.service-shapes--shape2 {
    top: 10%;
    left: 52%;
}

.service-shapes--shape3 {
    top: 34%;
    left: 15.3%;
}

/* ESTILOS DE PROYECTOS */
.layout__projects {
    position: relative;
    background-color: var(--color-bg-projects);
    padding: 14rem 10rem;
    z-index: 1;
}

.projects__grid {
    max-width: var(--mx-width);    
    margin: 0 auto;
}

.projects__header {
    margin-bottom: 4rem;
}

.projects__subtitle {
    text-transform: capitalize;
}

.projects__categories {
    display: flex;
    flex-direction: row;
    gap: 7rem;
    margin-bottom: 5.5rem;
}

.categories__item {
    position: relative;
    font-size: 2rem;
    font-weight: 500;
    cursor: pointer;
    padding: 0.8rem 0;
    transition: all 100ms ease-in-out;
}

.categories__item--active,
.categories__item:hover {
    border-bottom: 3px solid var(--color-primary);
}

.projects__all {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 4rem 7rem;
}

.projects__project {
    width: calc(50% - 3.5rem);
}

.project__container-img {
    width: 100%;
    border-radius: 30px 30px 0 0;
    overflow: hidden;
}

.project__img {
    width: 100%;
    transition: all 800ms ease-in-out;
}

.projects__project:hover .project__img{
    transform: scale(1.2);
}

.project__content {
    background-color: var(--color-secondary);
    padding: 4rem 5rem;
    border-radius: 0 0 30px 30px;
}


.project__title {
    font-size: 3.2rem;
    line-height: 1.2;
    margin-bottom: 1rem;
    font-weight: 500;
    color: var(--color-title);
    transition: all 300ms ease-in-out;
}

.project__title:hover {
    color: var(--color-banner);
}



.project__tags {
    font-size: 1.7rem;
}

.project-shapes__item {
    position: absolute;
    z-index: -1;
    pointer-events: none;
    top: 0;
}

.project-shapes--shape1 {
    top: 4%;
    right: 21.5%;
}

.project-shapes--shape2 {
    top: 8%;
    right: 40%;
}

.project-shapes--shape3 {
    top: 38%;
    left: 14%;
    animation: rodeo 30s infinite ease;
}

@keyframes rodeo {
    0%{
        transform: translate(0);
    }
    20%{
        transform: translateY(-500px);
    }
    40%{
        transform: translateX(580px) translateY(-500px);
    }
    60%{
        transform: translateY(80px) translateX(580px);
    }
    80%{
        transform: translateX(0px) translateY(80px);
    }
    100%{
        transform: translate(0);
    }
}

/* ESTILOS PARA ESTADÍSTICAS Y MEJORES CLIENTES*/
.layout__stats,
.layout__clients {
    background-color: var(--color-bg-dark);
    padding: 14rem 10rem;
}

.stats__container,
.clients__container {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.stats__header {
    text-align: center;
}

.stats__title,
.clients__title {
    color: var(--color-secondary);
    font-size: 6.4rem;
    margin-bottom: 3rem;
}

.stats__description,
.clients__description {
    font-size: 2rem;
    width: 60%;
    margin: 0 auto 4rem;
    color: var(--color-text-description);
}

.stats__progress {
    display: flex;
    flex-direction: row;
    gap: 3rem;
}

.stats__stat {
    width: 25%;
    text-align: center;
    padding: 7rem 2rem;
    border-radius: 2rem;
    border: 1px solid transparent;
    transition: all 300ms ease-in-out;
}

.stats__stat:hover {
    background: linear-gradient(180deg, var(--color-bg-dark), var(--color-hover-dark));
    border: 1px solid var(--color-hover-dark);
    transform: scale(1.05);
    cursor: default;
}

.stat__icon {
    margin-bottom: 2rem;
    
}

.stat__icon>img {
    margin: 0 auto;
    text-align: center;
}

.stat__count {
    display: inline-block;
    font-size: 6.4rem;
    font-weight: 500;
    color: var(--color-primary);
    line-height: 1.2;
    margin-bottom: 0.5rem;
    text-align: center;
}

.stat__title {
    text-align: center;
    font-size: 2rem;
    font-weight: 400;
    line-height: 1.2;
    color: var(--color-secondary);
}

/* ESTILOS PARA LAS REVIEWS */

.layout__reviews {
    position: relative;
    z-index: 1;
    padding-top: 14rem;
    padding-bottom: 11rem;
}

.reviews__grid {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.reviews__header {
    text-align: left;
    margin-bottom: 6rem;
}

.reviews__description,
.news__description {
    margin-top: 3rem 0;
    width: 50%;
    font-size: 2rem;
    color: var(--color-text-description);
}

.reviews__container {
    display: flex;
    gap: 3rem;
}

.reviews__review {
    padding-top: 5rem;
    padding-bottom: 3rem;
}

.review__company {
    display: inline-block;
    margin-bottom: 3rem;
}

.review__description {
    font-size: 2.4rem;
    line-height: 1.2;
    color: var(--color-text-body);
    margin-bottom: 4rem;
}

.review__author {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
}

.author__container-img {
    border-radius: 3.5rem;
    overflow: hidden;
}

.author__content {
    flex: 1;
}

.author__name {
    display: block;
    font-size: 1.7rem;
    font-style: italic;
    font-weight: bold;
    color: var(--color-bg-dark);
    margin-bottom: 0.3rem;
}

.author__description {
    display: block;
    font-size: 1.5rem;
    color: var(--color-text-description);
    opacity: 0.8;
}

.review-shapes__item {
    position: absolute;
    z-index: -1;
    top: 16%;
    right: 31%;
    opacity: 0.8;
}

.review-shapes--shape1 {
    animation: move 5s infinite ease-in-out;
}

@keyframes move {
    0%{
        transform: scale(1);
        opacity: 0.3;
    }50%{
        transform: scale(1.2);
        opacity: 1;
        
    }100%{
        transform: scale(1);
        opacity: 0.3;
    }
}

/* ESTILOS EXCLUSIVOS MEJORES CLIENTES */
.layout__clients {
    position: relative;
    z-index: 1;
    padding-bottom: 12rem;
}

.clients__header {
    text-align: left;
}

.clients__title {
    width: 50%;
    line-height: 1.2;
    font-weight: 500;
}

.clients__description {
    text-align: left;
    width: 40%;
    margin: 0;
    margin-bottom: 6rem;
}

.clients__logos {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 3rem;
}

.clients__item {
    width: calc(25% - 3rem);
}

.clients__img {
    filter: grayscale(100%);
    opacity: 0.3;
    transition: all 300ms ease-in-out;
}

.clients__img:hover {
    opacity: 1;
    filter: grayscale(0);
    transform: scale(1.1) translateY(5px);
    cursor: pointer;
    background: linear-gradient(180deg, var(--color-bg-dark), var(--color-hover-dark));
    border-radius: 30px;
}

.client-shapes__item {
    position: absolute;
    z-index: -1;
    top: 10rem;
    right: 0;
    animation: wave 10s infinite linear;
}

@keyframes wave {
    0%{
        transform: skew(0deg);
    }
    10%{
        transform: skew(-10deg);
    }
    20% {
        transform: skew(-20deg);
    }
    30%{
        transform: skew(-10deg);
    }
    40% {
        transform: skew(0deg);
    }
    50% {
        transform: skew(10deg);
    }
    60% {
        transform: skew(20deg);
    }
    70% {
        transform: skew(10deg);
    }
    80% {
        transform: skew(0deg);
    }
    90% {
        transform: skew(-10deg);
    }
    100% {
        transform: skew(0deg);
    }
}

/* ESTILOS ÚLTIMAS NOTICIAS */
.layout__news {
    position: relative;
    z-index: 1;
    padding: 14rem 0;
}

.news__container {
    width: var(--mx-width);
    margin: 0 auto;
}

.news__header {
    text-align: center;
    margin-bottom: 6rem;
}

.news__title {
    margin-bottom: 3rem;
}

.news__description {
    margin: 0 auto;
}

.news__list {
    display: flex;
}

.news__new {
    display: flex;
    align-items: center;
    gap: 2rem;
    padding-top: 4rem;
    padding-bottom: 4rem;
    padding-right: 2rem;
    padding-left: 0;
    border-top: 1px solid var(--color-borders);
    border-bottom: 1px solid var(--color-borders);
    transition: all 300ms ease-in-out;
}

.news__new:hover {
    border-top-color: var(--color-primary);
}

.news__new:last-child {
    border-left: 1px solid var(--color-borders);
    padding-left: 2.5rem;
}

.new__container-img {
    overflow: hidden;
    border-radius: 3rem;
}

.new__img {
    border-radius: 3rem;
    transition: all 300ms ease-in-out;
}

.news__new:hover .new__img{
    transform: scale(1.1);
}

.new__content {
    flex: 1;
}

.new__title {
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.4;
    color: var(--color-title);
    margin-bottom: 2rem;
    transition: all 300ms ease-in-out;
}

.new__title:hover,
.new__more:hover {
    color: var(--color-primary);
}

.new__description {
    font-size: 1.7rem;
    font-weight: normal;
    color: var(--color-text-description);
    margin-bottom: 3rem;
}

.new__more {
    display: inline-block;
    font-weight: 700;
    color: var(--color-hover-dark);
    font-size: 1.7rem;
    transition: all 300ms ease-in-out;
}

.new__icon {
    font-size: 1.3rem;
    vertical-align: middle;
}

.new-shapes__item {
    position: absolute;
    z-index: -1;
}

.new-shapes--shape1 {
    top: 16%;
    left: 20%;
}

.new-shapes--shape2 {
    top: 12%;
    right: 7.5%;
}

.new-shapes--shape2::after {
    content: '';
    position: absolute;
    width: 10%;
    height: 2.4px;
    background-color: #FBC7D0;
    right: -10%;
    top: 0;
    bottom: 0;
    z-index: -1;
}

.new-shapes--shape3 {
    bottom: 8%;
    left: 9%;
}

.new-shapes--shape4 {
    bottom: 7%;
    right: 17.4%;
}

/* ESTILOS DE CONTACTO */
.layout__contact {
    position: relative;
    z-index: 1;
    overflow: hidden;
    padding: 0;
    padding-top: 14rem;
    padding-bottom: 10rem;
}

.layout__contact::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 65.5rem;
    top: 0;
    left: 0;
    right: 0;
    background-color: var(--color-primary);
    z-index: -1;
}

.contact__container {
    max-width: var(--mx-width);
    margin: 0 auto;
    overflow: hidden;
}

.contact__header {
    margin-bottom: 6.5rem;
    text-align: center;
}

.contact__subtitle {
    display: inline-block;
    color: var(--color-bg-btn);
    font-size: 2rem;
    font-weight: 500;
    margin-bottom: 1.5rem;
}

.contact__title {
    width: 70%;
    margin: 0 auto;
    margin-bottom: 5.5rem;
    font-size: 6.4rem;
    line-height: 1.2;
    font-weight: 500;
    color: var(--color-secondary);
}

.contact__btn {
    display: inline-block;
    position: relative;
    z-index: 1;
    overflow: hidden;
    padding: 2.3rem 5.5rem;
    background-color: var(--color-secondary);
    border-radius: 20px;
    font-weight: 700;
    text-align: center;
    transition: all 300ms ease-in-out;
}

.contact__btn:hover {
    color: var(--color-primary);
    background-color: var(--color-bg-btn);
}

.contact__images {
    position: relative;
    text-align: center;
    border-bottom: 1px solid var(--color-borders);
}

.contact__thumb {
    display: inline-block;
    position: relative;
}

.contact__thumb-chat {
    margin-right: -18rem;
    margin-bottom: -0.8rem;
}

.contact__thumb-laptop {
    position: absolute;
    bottom: 0;
    left: 16rem;
}

.contact__thumb-movile {
    position: absolute;
    bottom: 0;
    right: 8rem;
}

.backshapes__item {
    position: absolute;
    z-index: -1;
}

.backshapes--shape1 {
    top: 0;
    left: 34%;
}

.backshapes--shape2 {
    top: 18rem;
    left: 18%;
    opacity: 0.5;
    animation: moveShape3 20s infinite;
}

.backshapes--shape3 {
    top: 31%;
    left: 24%;
    animation: moveShape4 25s infinite;
    filter: brightness(150%);
}

.backshapes--shape4 {
    top: 44%;
    left: 28%;
    animation: moveShape3 25s infinite;
}

.backshapes--shape5 {
    top: 50%;
    right: 17%;
    animation: moveShape4 30s infinite;
}

.backshapes--shape6 {
    top: 36%;
    right: 21%;
    animation: moveShape5 30s infinite;
    filter: brightness(150%);
    opacity: 0.6;
}

.backshapes--shape7 {
    top: 36%;
    right: 15%;
    animation: moveShape3 30s infinite;
}

/* ESTILOS DEL FOOTER */

.layout__footer {
    padding-top: 1rem;
}

.footer__container {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.footer__top {
    padding-bottom: 7rem;
}

.footer__social {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.social__icon {
    display: inline-block;
    color: var(--color-text-description);
    font-size: 3rem;
    padding: 0.5rem;
    transition: all 300ms ease-in-out;
}

.social__link:hover .social__icon {
    color: var(--color-primary);
}

.footer__main {
    display: flex;
    flex-direction: row;
}

.footer__fleft {
    flex-basis: 50%;
}

.fleft__container {
    border-right: 1px solid var(--color-borders);
    padding-right: 8rem;
    margin-right: 4rem;
    margin-bottom: 8rem;
}

.fleft__title {
    display: inline-block;
    font-size: 6.4rem;
    line-height: 1.2;
    font-weight: 500;
    color: var(--color-title);
    margin-bottom: 2rem;
}

.fleft__subtitle {
    margin-bottom: 4rem;
    font-size: 1.7rem;
}

.fleft__group {
    position: relative;
    width: 100%;
    display: flex;
    background-color: var(--color-secondary);
    border-radius: 20px;
    height: 7.2rem;
    padding: 1rem;
    box-shadow: 0 24px 48px -15px #53525231;
    align-items: center;
    justify-content: space-between;
}

.fleft__mail-icon {
    display: inline-block;
    margin-left: 2rem;
}

.fleft__form-control {
    position: relative;
    display: block;
    padding: 0.5rem 1.5rem;
    height: auto;
    border: none;
    outline: none;
    color: var(--color-title);
    margin-left: 1rem;
    flex: 1;
}

.fleft_btn {
    height: 5.2rem;
    cursor: pointer;
    border: none;
    outline: none;
    background-color: var(--color-primary);
    color: var(--color-secondary);
    border-radius: 1.6rem;
    padding: 1.4rem 3rem;
    transition: all 300ms ease-in-out;
}

.fleft_btn:hover {
    background-color: var(--color-banner);
}

.footer__fright {
    display: flex;
    flex-direction: row;
    flex-basis: 50%;
}

.footer__widget {
    margin-bottom: 8rem;
}

.footer__widget--50 {
    flex-basis: 50%;
}

.footer__widget--25 {
    flex-basis: 25%;
}

.widget__title {
    font-size: 2rem;
    font-weight: 700;
    line-height: 1.2;
    color: var(--color-title);
    margin-bottom: 3rem;
}

.widget__link {
    font-size: 1.8rem;
    padding: 0.8rem 0;
    display: inline-block;
    transition: all 300ms linear;
}

.widget__link:hover {
    color: var(--color-banner);
}

.footer_bottom {
    font-size: 1.7rem;
    border-top: 1px solid var(--color-borders);
    padding: 2.5rem 0;
    display: flex;
}

.footer__copyright {
    flex-basis: 50%;
}

.copyright__text {
    display: inline-block;
    color: var(--color-text-description);
}

.copyright__text > a{
    display: inline;
}

.text__link:hover {
    color: var(--color-banner);
    
}

.footer__links {
    flex-basis: 50%;
}

.footer__flinks {
    position: relative;
    display: flex;
    justify-content: end;
    gap: 3.5rem;
}

.flinks__title {
    transition: all 300ms ease-in-out;
}

.flinks__title:hover {
    color: var(--color-banner);
}

.flinks__item {
    display: inline-block;
    position: relative;
    padding: 0 2rem;
}

.flinks__item--separator::after {
    content: '';
    height: 4px;
    width: 4px;
    background-color: var(--color-text-description);
    border-radius: 50%;
    position: absolute;
    top: 46%;
    right: -10%;
}

/* ESTILOS NAVEGACIÓN RESPONSIVE */
.navbar__mobile-btn {
    display: none;
}

.mobile-btn--wrap {
    height: 5rem;
    width: 5rem;
    background-color: var(--color-text-body);
    border: none;
    border-radius: 3.2rem;
    transition: all 300ms ease-in-out;
    display: flex;
    align-items: center;
    cursor: pointer;
    justify-content: center;
    flex-direction: column;
}

.mobile-btn__line {
    width: 2rem;
    height: 0.2rem;
    background-color: var(--color-secondary);
    margin-bottom: 0.4rem;
    border-radius: 1rem;
    transition: all 300ms ease-in-out;
}

.mobile-btn__line:last-child {
    width: 1rem;    
    margin-bottom: 0;
    margin-right: -1rem;
}

.menu-mobile {
    visibility: hidden;
    opacity: 0;

    position: fixed;
    top: 0;
    left: -300px;
    z-index: 10;
    width: 30rem;
    height: 100%;
    background-color: var(--color-secondary);
    padding: 5rem 1rem;
    padding-top: 0;
    box-shadow: 0px 0px 85px -25px rgba(0, 0, 0, 0.5);
    overflow-y: auto;
    transition: all 500ms cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.menu-mobile--show {
    visibility: visible;
    opacity: 1;
    left: 0;
}



.menu-mobile__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 1rem;
    padding: 2rem 0;
    border-bottom: 1px solid var(--color-borders);
}

.menu-mobile__container-logo {
    width: 15rem;
}

.menu-mobile__link-logo {
    display: inline-block;
    text-decoration: none;
}

.menu-mobile__close {
    background-color: transparent;
    height: 3rem;
    width: 3rem;
    border: 2px solid var(--color-text-description);
    border-radius: 1rem;
    color: var(--color-text-body);
    font-size: 1.6rem;
    cursor: pointer;
    transition: all 400ms ease-in-out ;
}

.menu-mobile__close:hover {
    background-color: var(--color-primary);
    color: var(--color-secondary);
}

.menu-mobile__list {
    display: block;
    height: 100%;
    overflow: auto;
}

.menu-mobile__item {
    position: relative;
    border-bottom: 1px solid var(--color-borders);
    margin: 0 1rem;
}

.menu-mobile__link:hover {
    padding: 1rem;
    border: 1px solid rgba(0, 0, 0, 0.3);
    border-radius: 0.5rem;
    background-color: var(--color-primary);
    color: var(--color-secondary);
    transform: translateX(-10px);
}

.menu-mobile__link {
    position: relative;
    height: 5rem;
    line-height: 5rem;
    color: var(--color-text-body);
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: all 300ms ease-in;
}

.menu-mobile__icon {
    font-size: 1.4rem;
    transition: transform 0.3s ease;
}

.rotated {
    transform: rotate(90deg); /* Rotar el icono 180 grados */
}

.menu-mobile__submenu-mobile {
    display: none;
    visibility: visible;
    opacity: 1;
    transition: visibility 0s, opacity 0.3s ease;
    min-width: 100%;
    padding: 0 ;
    padding-bottom: 1rem;
}


.submenu-mobile__link {
    display: block;
    text-decoration: none;
    position: relative;
    padding: 0.7rem 1rem;
    font-size: 1.5rem;
    text-transform: capitalize;
    font-weight: 500;
    color: var(--color-text-body);
}

/* ESTILOS BOTÓN MODO OSCURO */
.switcher {
    position: fixed;
    top: 24rem;
    left: 0;
    background-color: var(--color-primary);
    border-radius: 0 3rem 3rem 0;
    padding: 1rem;
    z-index: 5;
}

.switcher__btn {
    cursor: pointer;
    background-color: transparent;
    border: none;
    display: flex;
}

.switcher__icon-light,
.switcher__icon-dark {
    color: var(--color-secondary);
    font-size: 1.8rem;
    height: 4rem;
    width: 4rem;
    line-height: 4rem;
}

.switcher__icon-dark {
    display: none;
}

.navbar__logo-dark {
    display: none;
}

.transform {
    transform: scale(1.2);
}